import 'package:diplomaticquarterapp/pages/ContactUs/widgets/card_common_contat.dart';
import 'package:diplomaticquarterapp/uitl/location_util.dart';
import 'package:diplomaticquarterapp/widgets/others/app_scaffold_widget.dart';

import 'package:flutter/material.dart';
import '../../uitl/translations_delegate_base.dart';
import 'package:diplomaticquarterapp/pages/ErService/widgets/card_common.dart';

class ContactUsPage extends StatefulWidget {
  @override
  _ContactUsPageState createState() => _ContactUsPageState();
}

class _ContactUsPageState extends State<ContactUsPage> {

  LocationUtils locationUtils;

  @override
  void initState() {
    locationUtils =
    new LocationUtils(isShowConfirmDialog: true, context: context);
    WidgetsBinding.instance
        .addPostFrameCallback((_) => locationUtils.getCurrentLocation());

    super.initState();
  }
  @override
  Widget build(BuildContext context) {
    return AppScaffold(
      isShowAppBar: true,
      appBarTitle: TranslationBase.of(context).hMGServiceLabel,
      isShowDecPage: false,
      body: Container(
        margin: EdgeInsets.fromLTRB(10.0, 20.0, 10.0, 10.0),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: <Widget>[

            Row(
              mainAxisSize: MainAxisSize.max,
              mainAxisAlignment: MainAxisAlignment.start,
              children: <Widget>[
                Expanded(
                  child: CardCommonContact(
                    image: 'assets/images/new-design/find_us_icon.png',
                    text: TranslationBase.of(context).findUs,
                    subText: "",
                    type: 0,

                  ),
                ),
                Expanded(
                  child: CardCommonContact(
                      image: 'assets/images/new-design/feedback_icon.png',
                      text: TranslationBase.of(context).feedback,
                      subText: "",
                      type: 1),

                ),
              ],
            ),
            Row(
              mainAxisSize: MainAxisSize.max,
              mainAxisAlignment: MainAxisAlignment.start,
              children: <Widget>[
                Expanded(
                  child: CardCommonContact(
                    image: 'assets/images/new-design/live_chat_icon.png',
                    text: TranslationBase.of(context).liveChat,
                    subText: TranslationBase.of(context).service,
                    type: 2,

                  ),
                ),
                Expanded(
                  child: Container(),

                ),
              ],
            ),
          ],
        ),
      ),
    );
  }
}

